# Index.vue

import showdown from "showdown"

## Methods

<!-- @vuese:Index.vue:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|setLogged|Changement de l'affichage si l'authentification de l'utilsateur est validée|-|
|changerPage|Récupération d'un click sur le menu 'auteur' (en haut à droite)|-|
|choixVariante|Récupération du booléen lié à la variante pour passage au composant Maj|-|
|newContenu|Changement de l'affichage pour passer en mode de création de contenu|-|
|ajouterUnContenu|Récupération d'un contenu ajotué à destination de Volet_Base|-|
|retourArriere|Changement de l'affichage pour passer en mode contenu (le mode principal de l'application)|-|
|recalculerNotification|Booléen permettant de redéclencher l'affichage de l'icone de notification de maj|-|
|majNvoContenu|Passage d'information concernant la maj d'un contenu|-|

<!-- @vuese:Index.vue:methods:end -->


